Subject: Re: IMSAI Restoration Suggestions?

From: "Dwight K. Elvey" <[email-masked]>
Date: Mon Jul 28 14:06:01 2003

>From: "Martin Scott Goldberg" <[email-masked]>
>
>I'm hoping someone on the list can help.  I rescued an IMSAI 8080, as well
>as a large (and heavy) dual 8" drive chasis (fully enclosed).  
>
>The IMSAI is stocked full of cards which I haven't figured out what they
>are yet as they're in pretty tight and I'm afraid of breaking something 
>yanking them out.  I'm assuming at least one of them is a terminal
>interface card and another an interface for the drives.
>
>Here's the two problems with the unit though:
>
>1) It appears to be missing the main processor card.  Everything else
>looks mint, including the control panel and the ribbon from the pannel
>to the control/processor card is intact as well.

Hi
 It sounds like it is missing the processor card. Still, it may
have one but it doesn't interface with the front panel. The only
signals that run through the ribbon are data signals. All of
the rest go through the bus. This means that if you don't need
the ability to used that readouts of the panel, you can do
things like reset and run without the ribbon. Check to see
if there is some other processor card there.
 I see original 8080 cards on ebay often but there were many
second source Z80 cards with the ribbon cable connector made
as well. I see these very often on ebay. Just keep an eye out.

>
>2) The people (the university janitorial staff) that were throwing it out,
>cut off the power cord.  Hence there is a stub of a cord connected to the
>power supply now running out the back.

 So, install a new cord.
 
>
>
>I'm basicly looking for any help/suggestions in how to indentify the cards
>and what I can do to fix the other two problems.  Thanks!

 Take pictures. Put them on a web page. Note any text found on boards.
Dwight

>Marty

---

From: Martin Scott Goldberg <[email-masked]>
Date: Wed Jul 30 23:33:00 2003

>as well. I see these very often on ebay. Just keep an eye out.

I've seen the 8080 ones every so often, but they're usually out of my
price range.

>>power supply now running out the back.

I was wondering if there was an easy way that doesn't involve soldering, 
but I talked to the people at IMSAI and found out there isn't.  I've never
soldered before, so I'll have to save up and get a kit first.

> Take pictures. Put them on a web page. Note any text found on boards.

As I mentioned, the cards are in there pretty tight and that's the
problem with identifying them, it has nothing to do with taking pictures,
etc. etc. which are obvious steps.  They don't do me any good snapping
in half.

Marty

---

From: Martin Scott Goldberg <[email-masked]>
Date: Thu Jul 31 01:59:01 2003

I did have another question regarding the serial number - is there a way
to tell the year/release/how early in the series from it?
The Serial Number is 1006900
There's a "IMSAI 8080 Rev. A" on the card slot board as well.
And it's wired for 60Hz 120v.

I did manage to finally get the cards out, and they are the following:

two Godbout 8K Econoram II's
one 4k from "S.D. Sales Co. (c) 1976"  (anyone ever hear of them?)
one Cromemco 8k Bytesaver board (with one Eprom in one of the eprom
slots).

Marty